- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates an existing guaranteed order. Returns the updated guaranteed order if successful.
HTTP request
PATCH https://displayvideo.googleapis.com/v5/guaranteedOrders/{guaranteedOrder.guaranteedOrderId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
guaranteedOrder.guaranteedOrderId |
Output only. The unique identifier of the guaranteed order. The guaranteed order IDs have the format |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
Required. Identifies which DV360 entity the request is being made within. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: |
|
partnerId |
The ID of the partner that the request is being made within. |
advertiserId |
The ID of the advertiser that the request is being made within. |
| End of mutually exclusive fields. | |
Request body
The request body contains an instance of GuaranteedOrder.
Response body
If successful, the response body contains an instance of GuaranteedOrder.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.